Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface AuditEvent

All Known Subinterfaces:
  AuditApplicationVersionEvent, AuditAtnEvent, AuditAtnEventV2, AuditAtzEvent, AuditCertPathBuilderEvent, AuditCertPathValidatorEvent, AuditConfigurationEvent, AuditCreateConfigurationEvent, AuditCredentialMappingEvent, AuditDeleteConfigurationEvent, AuditInvokeConfigurationEvent, AuditLifecycleEvent, AuditMgmtEvent, AuditPolicyEvent, AuditRoleDeploymentEvent, AuditRoleEvent, AuditSetAttributeConfigurationEvent

    public interface AuditEvent

The `AuditEvent` interface provides a mechanism for passing audit information to Auditing providers during a `writeEvent` operation. This is the base interface that is extended by components in the WebLogic Security Framework to compose specific audit event types. Extending this interface helps Auditing providers determine the calling security component.

If an implementor of this interface expects to receive a `ContextHandler` argument from a caller, they can extend the `AuditContext` interface.

Method Summary
`String` | `getEventType()` Gets the type of this `AuditEvent`.
`Exception` | `getFailureException()` Gets an `Exception` object from which additional audit information can be obtained by using the `toString` method.
`AuditSeverity` | `getSeverity()` Gets the severity level value associated with the `AuditEvent`, from which the Auditing provider can make the decision whether or not to audit.
`String` | `toString()` Returns pre-formatted audit information from which unicode characters can be obtained.

Method Detail

### getFailureException

    Exception getFailureException()

  Gets an `Exception` object from which additional audit information can be obtained by using the `toString` method.

  Returns:
    an `Exception` object containing additonal information.

### getSeverity

    AuditSeverity getSeverity()

  Gets the severity level value associated with the `AuditEvent`, from which the Auditing provider can make the decision whether or not to audit.

  Returns:
    the `AuditSeverity` object contained in the `AuditEvent`.

### toString

    String toString()

  Returns pre-formatted audit information from which unicode characters can be obtained.

  Overrides:
    `toString` in class `Object`
  Returns:
    a String containing the value of audit data.

### getEventType

    String getEventType()

  Gets the type of this `AuditEvent`.

  Returns:
    the type of this `AuditEvent`, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD